Bug 733287 - pyhbac-test.py fails
pyhbac-test.py fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
16
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 07:27 EDT by Jiri Skala
Modified: 2014-11-09 17:34 EST (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.6.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-09 12:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Skala 2011-08-25 07:27:45 EDT
Description of problem:
The test src/tests/pyhbac-test.py fails with following output:

FAIL: testEvaluate (__main__.PyHbacRequestTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "././src/tests/pyhbac-test.py", line 362, in testEvaluate
    self.assertEqual(res, pyhbac.HBAC_EVAL_ALLOW)
AssertionError: 1 != 0
----------------------------------------------------------------------
Ran 5 tests in 0.011s
FAILED (failures=1)

Version-Release number of selected component (if applicable):
sssd-1.6.0-2.fc16

How reproducible:
always

Steps to Reproduce:
1. build specified NVR in ppc-koji
2.
3.
  
Actual results:
fails

Expected results:


Additional info:
This should be known issue fixed in upstream.
Comment 1 Jakub Hrozek 2011-08-25 07:34:57 EDT
This was fixed upstream in 8b6801a0b180ef87118e8f071eb2eeea4607baf1 we just haven't released the fix yet
Comment 2 Jiri Skala 2011-08-30 01:53:36 EDT
sssd-1.6.1-1.fc16 succeeded on ppc.

Thanks, Jiri
Comment 3 Stephen Gallagher 2011-08-30 07:48:31 EDT
Reopening. I'm going to attach this bug to the Bodhi update I'm filing.
Comment 4 Fedora Update System 2011-08-30 07:56:20 EDT
sssd-1.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sssd-1.6.1-1.fc16
Comment 5 Fedora Update System 2011-08-30 16:48:12 EDT
Package sssd-1.6.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.6.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sssd-1.6.1-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-09-09 12:57:01 EDT
sssd-1.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.